karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-4105) karaf-assembly fails when used Maven versions do not match derived OSGi versions
Date Mon, 01 Feb 2016 18:26:39 GMT

    [ https://issues.apache.org/jira/browse/KARAF-4105?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15126723#comment-15126723
] 

ASF GitHub Bot commented on KARAF-4105:
---------------------------------------

GitHub user maggu2810 opened a pull request:

    https://github.com/apache/karaf/pull/139

    [KARAF-4105] improve assembly version comparison

    The file ComparableVersion is taken from the maven-artifact project.
    The original artifact does not contains any OSGi headers.
    The file is licensed using ASF-2.0 so I assume we could add it here.
    
    The remaining stuff should be understandable (I hope so).
    I added also a very small unit test.

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/maggu2810/karaf karaf-4105

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/karaf/pull/139.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #139
    
----
commit 65719213080ee2e536b43b1e4123ea6a4ee25918
Author: Markus Rathgeb <maggu2810@gmail.com>
Date:   2016-02-01T18:21:29Z

    [KARAF-4105] improve assembly version comparison
    
    Signed-off-by: Markus Rathgeb <maggu2810@gmail.com>

----


> karaf-assembly fails when used Maven versions do not match derived OSGi versions
> --------------------------------------------------------------------------------
>
>                 Key: KARAF-4105
>                 URL: https://issues.apache.org/jira/browse/KARAF-4105
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-tooling
>    Affects Versions: 4.0.3
>            Reporter: Oliver Lietz
>            Assignee: Jean-Baptiste Onofré
>
> e.g. {{$\{project.version\}}} {{0.1.1-SNAPSHOT}} and {{0.1.1.SNAPSHOT}} do not match
in {{org.apache.karaf.profile.assembly.Builder}}
> See mail thread [\[K4.0.3\] custom distribution and kar|http://mail-archives.apache.org/mod_mbox/karaf-user/201511.mbox/%3c7781910.EKNrsAyV2X@madness%3e]
for more.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message